import type { SizeProp } from '../../lib/types/props.js';
import type { Theme } from '../../lib/theming/Theme.js';
export declare const getStyles: import("../../lib/theming/Emotion.js").StylesGetter<{
    root(t: Theme): string;
    inputWrapperWidth(t: Theme): string;
    inputWrapperWidthFull(): string;
    inputVisuallyFocus(t: Theme): string;
    calendarWrapper(t: Theme): string;
    calendarWidthAuto(): string;
    rangeCalendarDay(): string;
    rangeCalendarDayEnd(t: Theme): string;
    rangeCalendarDayInHoveredPeriod(t: Theme): string;
    rangeCalendarDayHoverInPeriod(t: Theme): string;
    buttonWrap(): string;
}>;
export declare function getFontSize(t: Theme, size?: SizeProp): string;
